List catalog entity checklists
curl --request GET \
--url https://api.rootly.com/v1/catalog_entity_checklists \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "catalog_entity_checklists",
"attributes": {
"catalog_checklist_template_id": "<string>",
"auditable_type": "Service",
"auditable_id": "<string>",
"status": "triggered",
"created_at": "<string>",
"updated_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"completed_by_user_id": "<string>",
"checklist_fields": [
{
"data": {
"id": "<string>",
"type": "catalog_entity_checklist_fields",
"attributes": {
"catalog_entity_checklist_id": "<string>",
"catalog_checklist_template_field_id": "<string>",
"field_key": "<string>",
"checked": true,
"value_snapshot": {},
"completed_by_user_id": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}
],
"checklist_owners": [
{
"data": {
"id": "<string>",
"type": "catalog_entity_checklist_owners",
"attributes": {
"catalog_entity_checklist_id": "<string>",
"owner_user_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}
]
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/catalog_entity_checklists \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "catalog_entity_checklists",
"attributes": {
"catalog_checklist_template_id": "<string>",
"auditable_type": "Service",
"auditable_id": "<string>",
"status": "triggered",
"created_at": "<string>",
"updated_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"completed_by_user_id": "<string>",
"checklist_fields": [
{
"data": {
"id": "<string>",
"type": "catalog_entity_checklist_fields",
"attributes": {
"catalog_entity_checklist_id": "<string>",
"catalog_checklist_template_field_id": "<string>",
"field_key": "<string>",
"checked": true,
"value_snapshot": {},
"completed_by_user_id": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}
],
"checklist_owners": [
{
"data": {
"id": "<string>",
"type": "catalog_entity_checklist_owners",
"attributes": {
"catalog_entity_checklist_id": "<string>",
"owner_user_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}
]
}
}
]
}